<?php

require_once 'connect.php';
require_once 'inc/messages.php';

class OrdemServico{

  public $id_servico= 0; // numero do Pedido Liberado para impressão do Recibo
  public $ordem = array();
  public $itens = array();

  public function __get($name) {
      if (isset($this->ordem[strtolower($name)])) {
          return $this->ordem[strtolower($name)];
      } else {
          return false;
      }
  }

  public function __set($name, $value) {
      $this->ordem[strtolower($name)] = $value;
  }

  public function __construct(){

  }

	/* Retorna uma consulta para o array */
	function getSQL($consulta){
  global  $conexao;

			    $ar_retorno = array();
			    $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			    	if (mysqli_num_rows($resultado)>0) {
			          while ($registro = mysqli_fetch_assoc($resultado)){
			            array_push($ar_retorno, $registro);
			          }
			    }
	 return $ar_retorno;
  }

  function getItens(){
    global $conexao;

    // retorna um array com os campos do select
    $sql = "select  erpc_ordem_servico_itens.id as id_servico_item
                                ,erpc_ordem_servico_itens.id_produto
                                ,erpc_produtos.ds_produto
                                ,erpc_ordem_servico_itens.nr_quantidade
                                ,erpc_ordem_servico_itens.vl_unitario
                                ,erpc_ordem_servico_itens.vl_desconto
                          from erpc_ordem_servico_itens inner join erpc_produtos
                            on erpc_ordem_servico_itens.id_produto = erpc_produtos.id
                         where erpc_ordem_servico_itens.id_ordem_servico = $this->id_servico";
    $result = $this->getSQL($sql);
    return $result;
  }

  function getOrdem(){
    $sql  = "select  erpc_ordem_servico.id_cliente
                            ,erpc_clientes.ds_nome                    as ds_nome_cliente
                            ,erpc_ordem_servico.id_condicao_pagamento
                            ,erpc_condicao_pagamento.ds_condicao      as ds_condicao_pagamento
                            ,erpc_ordem_servico.id_forma_pagamento
                            ,erpc_dom_forma_pagamento.ds_forma        as ds_forma_pagamento
                            ,erpc_ordem_servico.ds_observacao
                            ,erpc_ordem_servico.id_status_servico
                            ,erpc_dom_status_servico.ds_status
                        from erpc_ordem_servico inner join erpc_clientes
                                on erpc_ordem_servico.id_cliente = erpc_clientes.id
                                                inner join erpc_condicao_pagamento
                                on erpc_ordem_servico.id_condicao_pagamento = erpc_condicao_pagamento.id
                                                inner join erpc_dom_forma_pagamento
                                on erpc_ordem_servico.id_forma_pagamento = erpc_dom_forma_pagamento.id
                                                inner join erpc_dom_status_servico
                                on erpc_ordem_servico.id_status_servico = erpc_dom_status_servico.id
                            where erpc_ordem_servico.id = $this->id_servico";
    $result= $this->getSQL($sql);

    /* Retorna o Array do Pedido com os Itens */
    if(count($result)>0){
      $this->itens = $this->getItens();

      $this->ordem = $result[0];
      // array_push($this->ordem, $this->itens, 'itens');
      $this->ordem['itens'] = $this->itens;
    }

    return $this->ordem;
  }


}

?>
